Java 11 Only?

For talk and Help about everything concerning TV-Browser.
Antworten
colin1951uk
Junior Member
Beiträge: 43
Registriert: 19 Dez 2007, 21:15

Java 11 Only?

Beitrag von colin1951uk »

Hi,

I just wanted to check if the version 4.2.1 will only work with Java 11.

I'm still using 4.0.1 and would like to upgrade to 4.2.1 as it contains some fixes for hd screens that would be useful.

I must have Sun Java 8 on my system as it's required by two other programmes I use and I'm not sure if it's advisable to run Java 11 along side it just for TV-Browser as the two Java's may conflict with each other.

Can you advise me about this please as if I have to use Java 11 then it might be better to stay with 4.0.1.

Thank you.
Benutzeravatar
Siggi
Moderator
Beiträge: 2185
Registriert: 31 Dez 2003, 12:21
Wohnort: Doberlug - Kirchhain

Re: Java 11 Only?

Beitrag von Siggi »

Hi,

you can install 4.2.1 as transportable version with there own Java executable's.
That's the same behavior what I have installed.
Java 8 system wide definition and only for tvbrowser java in the tvbrowser folder.

You'll found the java files at tvbrowsers sourceforge home as a zip file.
mfg Siggi

PS: Wer Fehler findet, darf Sie behalten!!! :-)
ds10
Site Admin
Beiträge: 18284
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: Java 11 Only?

Beitrag von ds10 »

If you are on Windows the easiest way to install it, is to use the TV-Browse full package: https://sourceforge.net/projects/tvbrow ... e/download
It comes with Java 11 and it will only be used by TV-Browser if installed into the TV-Browser directory, which is the default behaviour. You still can keep Java 8 on the system. Sorry, I've just been too lazy to translate the install page for TV-Browser for Windows.
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser
colin1951uk
Junior Member
Beiträge: 43
Registriert: 19 Dez 2007, 21:15

Re: Java 11 Only?

Beitrag von colin1951uk »

Sorry I should have said in my initial post that I was using the Windows 10 operating system.

I think then the best thing to do is make a back up of my data folder, uninstall 4.0.1 and then install the full package of 4.2.1 from the link given.

If it doesn't work or I get a Java conflict then I can always uninstall and go back to 4.0.1.

If there's a problem I'll come back on here to report it, but I think it should be ok from the comments made.

Thanks for the help.
Benutzeravatar
Siggi
Moderator
Beiträge: 2185
Registriert: 31 Dez 2003, 12:21
Wohnort: Doberlug - Kirchhain

Re: Java 11 Only?

Beitrag von Siggi »

It will work. :mrgreen:
mfg Siggi

PS: Wer Fehler findet, darf Sie behalten!!! :-)
Antworten